List Sessions Detail
curl --request GET \
--url https://api.devin.ai/v2/enterprise/sessions/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/sessions/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/sessions/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"items": [
{
"acus_consumed": 123,
"created_at": "2023-11-07T05:31:56Z",
"initial_user_message": "<string>",
"org_id": "<string>",
"pull_requests": [
{
"url": "<string>",
"state": "<string>"
}
],
"session_analysis": {
"suggested_prompt": {
"feedback_items": [
{
"details": "<string>",
"excerpt": "<string>",
"issue_id": "<string>",
"summary": "<string>"
}
],
"original_prompt": "<string>",
"suggested_prompt": "<string>"
},
"action_items": [],
"issues": [],
"timeline": []
},
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"limit": 123,
"skip": 123,
"total": 123,
"next_cursor": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enterprise Sessions
List Enterprise Sessions (Insights)
Get a paginated list of Devin sessions with detailed analysis data for your enterprise
GET
/
v2
/
enterprise
/
sessions
/
insights
List Sessions Detail
Requires an enterprise admin personal API key.
Returns a paginated list of all Devin sessions within your enterprise, including comprehensive session analysis, initial user messages, pull request information, and ACU consumption data. This endpoint provides more detailed information than the basic List Enterprise Sessions endpoint.
Authorizations
Personal API Key (apk_user_*) for Enterprise Admins only
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 200
